<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Izg 2018 - 2019, lab 6.: student/student.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Izg 2018 - 2019, lab 6.
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html">student</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">student.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file contains implementation of exercise.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;assert.h&gt;</code><br />
<code>#include &lt;math.h&gt;</code><br />
<code>#include &lt;<a class="el" href="student_8h_source.html">student/student.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="linearAlgebra_8h_source.html">student/linearAlgebra.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="camera_8h_source.html">student/camera.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="model_8h_source.html">student/model.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="mouseCamera_8h_source.html">student/mouseCamera.h</a>&gt;</code><br />
<code>#include &lt;opengl/opengl.h&gt;</code><br />
<code>#include &lt;<a class="el" href="program_8h_source.html">student/program.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPhongVariables.html">PhongVariables</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">This structure contains all global variables for this method.  <a href="structPhongVariables.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a88d2d9ef0fe63ab523c367c2a6f40245"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88d2d9ef0fe63ab523c367c2a6f40245"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="student_8c.html#a88d2d9ef0fe63ab523c367c2a6f40245">phong_onExit</a> ()</td></tr>
<tr class="memdesc:a88d2d9ef0fe63ab523c367c2a6f40245"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is called at end of application. <br /></td></tr>
<tr class="separator:a88d2d9ef0fe63ab523c367c2a6f40245"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a1f344d924f733a22d7659db612a0efe8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMat4.html">Mat4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="student_8c.html#a1f344d924f733a22d7659db612a0efe8">projectionMatrix</a></td></tr>
<tr class="memdesc:a1f344d924f733a22d7659db612a0efe8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This variable contains projection matrix.  <a href="#a1f344d924f733a22d7659db612a0efe8">More...</a><br /></td></tr>
<tr class="separator:a1f344d924f733a22d7659db612a0efe8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae64ebe4c77936fc93d161b97bd8e96df"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMat4.html">Mat4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="student_8c.html#ae64ebe4c77936fc93d161b97bd8e96df">viewMatrix</a></td></tr>
<tr class="memdesc:ae64ebe4c77936fc93d161b97bd8e96df"><td class="mdescLeft">&#160;</td><td class="mdescRight">This variable contains view matrix.  <a href="#ae64ebe4c77936fc93d161b97bd8e96df">More...</a><br /></td></tr>
<tr class="separator:ae64ebe4c77936fc93d161b97bd8e96df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ae2553412ead34e3a4e23019d4f052e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ae2553412ead34e3a4e23019d4f052e"></a>
<a class="el" href="structVec3.html">Vec3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="student_8c.html#a2ae2553412ead34e3a4e23019d4f052e">cameraPosition</a></td></tr>
<tr class="memdesc:a2ae2553412ead34e3a4e23019d4f052e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This variable contains camera position in world-space. <br /></td></tr>
<tr class="separator:a2ae2553412ead34e3a4e23019d4f052e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7306931d2ba161215ffc45645c8bfa7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7306931d2ba161215ffc45645c8bfa7d"></a>
struct <a class="el" href="structPhongVariables.html">PhongVariables</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="student_8c.html#a7306931d2ba161215ffc45645c8bfa7d">phong</a></td></tr>
<tr class="memdesc:a7306931d2ba161215ffc45645c8bfa7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">instance of all global variables for triangle example. <br /></td></tr>
<tr class="separator:a7306931d2ba161215ffc45645c8bfa7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2d377f5d5db8945bf16b9e9ca1b71a5"><td class="memItemLeft" align="right" valign="top">char const *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__vs.html#gad2d377f5d5db8945bf16b9e9ca1b71a5">phongVertexShaderSource</a></td></tr>
<tr class="memdesc:gad2d377f5d5db8945bf16b9e9ca1b71a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This variable contains vertex shader source for phong shading/lighting.  <a href="group__vs.html#gad2d377f5d5db8945bf16b9e9ca1b71a5">More...</a><br /></td></tr>
<tr class="separator:gad2d377f5d5db8945bf16b9e9ca1b71a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ad4f4cb5068a39b247fbd8bb4428a75"><td class="memItemLeft" align="right" valign="top">char const *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__fs.html#ga1ad4f4cb5068a39b247fbd8bb4428a75">phongFragmentShaderSource</a></td></tr>
<tr class="memdesc:ga1ad4f4cb5068a39b247fbd8bb4428a75"><td class="mdescLeft">&#160;</td><td class="mdescRight">This variable contains fragment shader source for phong shading/linghting.  <a href="group__fs.html#ga1ad4f4cb5068a39b247fbd8bb4428a75">More...</a><br /></td></tr>
<tr class="separator:ga1ad4f4cb5068a39b247fbd8bb4428a75"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file contains implementation of exercise. </p>
<dl class="section author"><dt>Author</dt><dd>Tomáš Milet, <a href="#" onclick="location.href='mai'+'lto:'+'imi'+'le'+'t@f'+'it'+'.vu'+'tb'+'r.c'+'z'; return false;">imile<span style="display: none;">.nosp@m.</span>t@fi<span style="display: none;">.nosp@m.</span>t.vut<span style="display: none;">.nosp@m.</span>br.c<span style="display: none;">.nosp@m.</span>z</a> </dd>
<dd>
Tomáš Chlubna, <a href="#" onclick="location.href='mai'+'lto:'+'ich'+'lu'+'bna'+'@f'+'it.'+'vu'+'tbr'+'.c'+'z'; return false;">ichlu<span style="display: none;">.nosp@m.</span>bna@<span style="display: none;">.nosp@m.</span>fit.v<span style="display: none;">.nosp@m.</span>utbr<span style="display: none;">.nosp@m.</span>.cz</a> </dd></dl>
</div><h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="a1f344d924f733a22d7659db612a0efe8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMat4.html">Mat4</a> projectionMatrix</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This variable contains projection matrix. </p>
<p>This variable contains projection matrix. </p>

</div>
</div>
<a class="anchor" id="ae64ebe4c77936fc93d161b97bd8e96df"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMat4.html">Mat4</a> viewMatrix</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This variable contains view matrix. </p>
<p>This variable contains view matrix. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Apr 24 2019 08:37:08 for Izg 2018 - 2019, lab 6. by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
